View | Details | Raw Unified | Return to bug 18581
Collapse All | Expand All

(-)apache13-fp/Makefile (-1 / +1 lines)
Lines 36-42 Link Here
36
#PATCHFILES=
36
#PATCHFILES=
37
37
38
APACHE=		${DISTNAME}${EXTRACT_SUFX}
38
APACHE=		${DISTNAME}${EXTRACT_SUFX}
39
FRONTPAGE=	fp40.bsdi.tar.Z
39
FRONTPAGE=	fp40.freebsd.tar.z
40
40
41
EXTRACT_ONLY=	${APACHE}
41
EXTRACT_ONLY=	${APACHE}
42
42
(-)apache13-fp/files/md5 (-2 / +1 lines)
Lines 1-5 Link Here
1
MD5 (apache_1.3.12.tar.gz) = de3ccff384b0d4ab94c3251cb85d49d2
1
MD5 (apache_1.3.12.tar.gz) = de3ccff384b0d4ab94c3251cb85d49d2
2
MD5 (fp40.bsdi.tar.Z) = 2fb460f64fe1853eb791654851be208b
2
MD5 (fp40.freebsd.tar.z) = 1a4ff48973347a1d2e6036fb02b9d798
3
MD5 (powerlogo.gif) = 0f106073b3c7844cf22d4df126b27c62
3
MD5 (powerlogo.gif) = 0f106073b3c7844cf22d4df126b27c62
4
MD5 (fplogo.gif) = db0fd186b50fde14ff2ec638382a85e6
4
MD5 (fplogo.gif) = db0fd186b50fde14ff2ec638382a85e6
5
MD5 (apache_1.3.11_css_patch.txt) = 71e31be23012752ffd898f6345c344be
(-)apache13-fp/patches/patch-fa (-151 / +13 lines)
Lines 1-35 Link Here
1
--- frontpage/version4.0/change_server.sh.orig	Mon May 24 13:27:07 1999
1
--- frontpage/version4.0/change_server.sh.orig	Mon May  1 11:03:32 2000
2
+++ frontpage/version4.0/change_server.sh	Thu Feb 24 20:39:30 2000
2
+++ frontpage/version4.0/change_server.sh	Mon May 15 21:21:29 2000
3
@@ -38,9 +38,11 @@
3
@@ -38,9 +38,12 @@
4
 {
4
 {
5
   VERSION="4.0"
5
   VERSION="4.0"
6
   PATH=".:/bin:/usr/bin:/sbin:/usr/sbin:/usr/ucb:/etc:/usr/bsd"
6
   PATH=".:/bin:/usr/bin:/sbin:/usr/sbin:/usr/ucb:/etc:/usr/bsd"
7
-  NEWHTTPDNEW="/usr/local/frontpage/version${VERSION}/apache-fp/httpd"
7
-  NEWHTTPDNEW="/usr/local/frontpage/version${VERSION}/apache-fp/httpd"
8
-  NEWHTTPDCOMPAT="/usr/local/frontpage/version${VERSION}/apache-fp/httpd.Compat"
8
-  NEWHTTPDCOMPAT="/usr/local/frontpage/version${VERSION}/apache-fp/httpd.Compat"
9
-  DEFAULTHTTPD="/usr/local/apache/sbin/httpd"
9
-  DEFAULTHTTPD="/usr/local/apache/sbin/httpd"
10
+  NEWHTTPDNEW="PREFIX/sbin/httpd"
10
+  AP_TARGET=`PREFIX/sbin/apxs -q TARGET`
11
+  NEWHTTPDNEW="PREFIX/sbin/${AP_TARGET}"
11
+  NEWMODFPNEW="PREFIX/libexec/apache/mod_frontpage.so"
12
+  NEWMODFPNEW="PREFIX/libexec/apache/mod_frontpage.so"
12
+  NEWHTTPDCOMPAT="${NEWHTTPDNEW}"
13
+  NEWHTTPDCOMPAT="${NEWHTTPDNEW}"
13
+  NEWMODFPCOMAPT="${NEWMODFPNEW}"
14
+  NEWMODFPCOMAPT="${NEWMODFPNEW}"
14
+  DEFAULTHTTPD="PREFIX/sbin/httpd"
15
+  DEFAULTHTTPD="PREFIX/sbin/${AP_TARGET}"
15
 
16
 
16
 case "`echo 'x\c'`" in
17
 case "`echo 'x\c'`" in
17
    'x\c')   echo="echo -n"    nnl= ;;      #BSD
18
    'x\c')   echo="echo -n"    nnl= ;;      #BSD
18
@@ -60,6 +62,9 @@
19
@@ -217,8 +220,22 @@
19
      IRIX*)            machine="sgi" ;;
20
      SunOS*5.*sun4*)   machine="solaris" ;;
21
      SunOS*5.*i386*)   machine="solarisx86" ;;
22
+     FreeBSD* | \
23
+     NetBSD* | \
24
+     OpenBSD* | \
25
      BSD/OS*)          machine="bsdi" ;;
26
      SCO_SV*)          machine="sco5" ;;
27
      UnixWare\ *\ *\ 7*\ i*) machine="uware7" ;;
28
@@ -214,6 +219,20 @@
29
 
20
 
30
  clear
21
  clear
31
 
22
 
32
+ if ($strings $httpdfile | $fgrep "etc/apache/httpd.conf" > /dev/null)
23
+ if ($strings $httpdfile | $fgrep "etc/apache/${AP_TARGET}.conf" > /dev/null)
33
+ then
24
+ then
34
+    NEWHTTPD=$NEWHTTPDNEW
25
+    NEWHTTPD=$NEWHTTPDNEW
35
+    NEWMODFP=$NEWMODFPNEW
26
+    NEWMODFP=$NEWMODFPNEW
Lines 44-52 Link Here
44
+	 sed -e 's%^.*FrontPage/\([0-9\.]*\).*%\1%' | tail -1`
35
+	 sed -e 's%^.*FrontPage/\([0-9\.]*\).*%\1%' | tail -1`
45
+ else
36
+ else
46
 
37
 
47
  if ($strings $httpdfile | $fgrep "etc/httpd.conf" > /dev/null)
38
- if ($strings $httpdfile | $fgrep "etc/httpd.conf" > /dev/null)
39
+ if ($strings $httpdfile | $fgrep "etc/${AP_TARGET}.conf" > /dev/null)
48
  then
40
  then
49
@@ -232,7 +251,8 @@
41
     NEWHTTPD=$NEWHTTPDNEW
42
     echo "Selected server uses NEW directory structure:"
43
@@ -235,7 +252,8 @@
50
  sourceVersionNumber=`$NEWHTTPD -v | sed 's%^.*Apache/\([0-9\.]*\).*%\1%' | head -1`
44
  sourceVersionNumber=`$NEWHTTPD -v | sed 's%^.*Apache/\([0-9\.]*\).*%\1%' | head -1`
51
  sourceFPVersionNumber=`$strings $NEWHTTPD | $fgrep "FrontPage/" 2> /dev/null | sed -e '
45
  sourceFPVersionNumber=`$strings $NEWHTTPD | $fgrep "FrontPage/" 2> /dev/null | sed -e '
52
                               s%^.*FrontPage/\([0-9\.]*\).*%\1%' | tail -1`
46
                               s%^.*FrontPage/\([0-9\.]*\).*%\1%' | tail -1`
Lines 56-190 Link Here
56
  echo
50
  echo
57
  echo "Currently running Apache/${targetVersionNumber} FrontPage/${nnl}" 
51
  echo "Currently running Apache/${targetVersionNumber} FrontPage/${nnl}" 
58
  if [ "${targetFPVersionNumber}" = "" ]
52
  if [ "${targetFPVersionNumber}" = "" ]
59
@@ -496,10 +516,19 @@
60
       *pache*)   getHttpDirective $configfile AccessConfig $port
61
                  if [ "$param" != "" ]
62
                  then
63
-                    file=`basename $param`
64
-                    accessconffile="${configfiledir}${file}"
65
+                    if [ "$param" != "/dev/null" ]
66
+                    then
67
+                        file=`basename $param`
68
+                        accessconffile="${configfiledir}${file}"
69
+                    else
70
+                        configError
71
+                    fi
72
                  else
73
-                    accessconffile="${configfiledir}access.conf"
74
+                    accessconffile="${configfiledir}conf/access.conf"
75
+                    if [ ! -f "$accessconffile" ]
76
+                    then
77
+                        configError2
78
+                    fi
79
                  fi
80
 
81
                  if [ ! -f "$accessconffile" ]
82
@@ -1061,10 +1090,19 @@
83
                getHttpDirective $configfile ResourceConfig $port
84
                if [ "$param" != "" ]
85
                then
86
-                   file=`basename $param`
87
-                   resconffile="${configfiledir}${file}"
88
+                   if [ "$param" != "/dev/null" ]
89
+                   then
90
+                       file=`basename $param`
91
+                       resconffile="${configfiledir}${file}"
92
+                   else
93
+                       configError
94
+                   fi
95
                else
96
-                   resconffile="${configfiledir}srm.conf"
97
+                   resconffile="${configfiledir}conf/srm.conf"
98
+                   if [ ! -f "$resconffile" ]
99
+                   then
100
+                       configError2
101
+                   fi
102
                fi
103
                echo "Getting DocumentRoot from $resconffile."
104
                getparam DocumentRoot $resconffile
105
@@ -1081,10 +1119,19 @@
106
                resconffile=$param
107
                if [ "$param" != "" ]
108
                then
109
-                   file=`basename $param`
110
-                   resconffile="${configfiledir}${file}"
111
+                   if [ "$param" != "/dev/null" ]
112
+                   then
113
+                       file=`basename $param`
114
+                       resconffile="${configfiledir}${file}"
115
+                   else
116
+                       configError
117
+                   fi
118
                else
119
-                   resconffile="${configfiledir}srm.conf"
120
+                   resconffile="${configfiledir}conf/srm.conf"
121
+                   if [ ! -f "$resconffile" ]
122
+                   then
123
+                       configError2
124
+                   fi
125
                fi
126
                echo "Getting UserDir from $resconffile."
127
                getparam UserDir $resconffile
128
@@ -1108,10 +1155,19 @@
129
                         *) getHttpDirective $configfile ResourceConfig $port
130
                            if [ "$param" != "" ]
131
                            then
132
-                               file=`basename $param`
133
-                               resconffile="${configfiledir}${file}"
134
+                               if [ "$param" != "/dev/null" ]
135
+                               then
136
+                                   file=`basename $param`
137
+                                   resconffile="${configfiledir}${file}"
138
+                               else
139
+                                   configError
140
+                               fi
141
                            else
142
-                               resconffile="${configfiledir}srm.conf"
143
+                               resconffile="${configfiledir}conf/srm.conf"
144
+                               if [ ! -f "$resconffile" ]
145
+                               then
146
+                                   configError2
147
+                               fi
148
                            fi
149
 
150
                            if [ ! -f "$resconffile" ]
151
@@ -1253,6 +1309,39 @@
152
     getHttpRootDirective $configfile $directive
153
  fi 
154
 
155
+}
156
+
157
+configError()
158
+{
159
+     echo
160
+     echo "ERROR: ${configfile} invalid format"
161
+     echo "Change ${configfile} as follows:"
162
+     echo
163
+     echo "    ResourceConfig ${configfile}"
164
+     echo "    AccessConfig ${configfile}"
165
+     echo
166
+     $echo "hit enter to continue${nnl}"
167
+     read continue
168
+     echo "Ouch!!!!!!!!!!!!! Not so hard, gently please"
169
+     echo
170
+     exit 1
171
+}
172
+
173
+configError2()
174
+{
175
+     echo
176
+     echo "ERROR: ${configfile} invalid"
177
+     echo
178
+     echo "Change ${configfile} as follows:"
179
+     echo
180
+     echo "    ResourceConfig ${configfiledir}srm.conf"
181
+     echo "    AccessConfig ${configfiledir}access.conf"
182
+     echo
183
+     $echo "hit enter to continue${nnl}"
184
+     read continue
185
+     echo "Ouch!!!!!!!!!!!!! Not so hard, gently please"
186
+     echo
187
+     exit 1
188
 }
189
 
190
 error()
(-)apache13-fp/patches/patch-fb (-29 / +20 lines)
Lines 1-25 Link Here
1
--- frontpage/version4.0/fp_install.sh.orig	Mon May 24 12:45:14 1999
1
--- frontpage/version4.0/fp_install.sh.orig	Mon May  1 11:03:32 2000
2
+++ frontpage/version4.0/fp_install.sh	Thu Feb 24 20:22:48 2000
2
+++ frontpage/version4.0/fp_install.sh	Mon May 15 21:26:42 2000
3
@@ -48,7 +48,7 @@
3
@@ -48,7 +48,8 @@
4
 {
4
 {
5
   VERSION="4.0"
5
   VERSION="4.0"
6
   PATH=".:/bin:/usr/bin:/sbin:/usr/sbin:/usr/ucb:/etc:/usr/bsd"
6
   PATH=".:/bin:/usr/bin:/sbin:/usr/sbin:/usr/ucb:/etc:/usr/bsd"
7
-  INSTALLDIRDEFAULT="/usr/local/frontpage"
7
-  INSTALLDIRDEFAULT="/usr/local/frontpage"
8
+  AP_TARGET=`PREFIX/sbin/apxs -q TARGET`
8
+  INSTALLDIRDEFAULT="PREFIX/frontpage"
9
+  INSTALLDIRDEFAULT="PREFIX/frontpage"
9
 
10
 
10
 case "`echo 'x\c'`" in
11
 case "`echo 'x\c'`" in
11
    'x\c')   echo="echo -n"    nnl= ;;      #BSD
12
    'x\c')   echo="echo -n"    nnl= ;;      #BSD
12
@@ -68,6 +68,9 @@
13
@@ -129,7 +130,7 @@
13
     IRIX*)              machine="sgi" ;;
14
     SunOS*5.*sun4*)     machine="solaris" ;;
15
     SunOS*5.*i386*)     machine="solarisx86" ;;
16
+    FreeBSD* | \
17
+    NetBSD* | \
18
+    OpenBSD* | \
19
     BSD/OS*)            machine="bsdi" ;;
20
     SCO_SV*)            machine="sco5" ;;
21
     UnixWare\ *\ *\ 7*\ i*)   machine="uware7" ;;
22
@@ -128,7 +131,7 @@
23
 checkuser()
14
 checkuser()
24
 {
15
 {
25
  #
16
  #
Lines 28-34 Link Here
28
  #
19
  #
29
 
20
 
30
 whoami=`whoami 2>/dev/null` || whoami=`/usr/bin/id | sed -e ' s/).*//; s/^.*(//;'`
21
 whoami=`whoami 2>/dev/null` || whoami=`/usr/bin/id | sed -e ' s/).*//; s/^.*(//;'`
31
@@ -321,27 +324,27 @@
22
@@ -322,27 +323,27 @@
32
  
23
  
33
  retval=0
24
  retval=0
34
 
25
 
Lines 73-79 Link Here
73
        if chmod "$prot" "$installdir"
64
        if chmod "$prot" "$installdir"
74
        then 
65
        then 
75
           echo "Directory $installdir chmoded to $prot." 
66
           echo "Directory $installdir chmoded to $prot." 
76
@@ -349,22 +352,22 @@
67
@@ -350,22 +351,22 @@
77
           echo "ERROR:  Unable to chmod $installdir to $prot." 
68
           echo "ERROR:  Unable to chmod $installdir to $prot." 
78
           retval=1
69
           retval=1
79
        fi  
70
        fi  
Lines 112-118 Link Here
112
  
103
  
113
  if [ "$installdir" != "/usr/local/frontpage" ]
104
  if [ "$installdir" != "/usr/local/frontpage" ]
114
  then
105
  then
115
@@ -414,7 +417,7 @@
106
@@ -415,7 +416,7 @@
116
  vtfile="fp40.$machine.tar"
107
  vtfile="fp40.$machine.tar"
117
  echo "Platform is $machine." 
108
  echo "Platform is $machine." 
118
  
109
  
Lines 121-127 Link Here
121
 
112
 
122
  getextfilename $vtfilelocation $vtfile || return 1
113
  getextfilename $vtfilelocation $vtfile || return 1
123
 
114
 
124
@@ -538,7 +541,7 @@
115
@@ -539,7 +540,7 @@
125
         upgrade="no"
116
         upgrade="no"
126
         echo "For details on how to upgrade servers manually, please see" 
117
         echo "For details on how to upgrade servers manually, please see" 
127
         echo "the Server Extension Resource Kit (SERK), located in"
118
         echo "the Server Extension Resource Kit (SERK), located in"
Lines 130-136 Link Here
130
         echo
121
         echo
131
         return $retval
122
         return $retval
132
     else
123
     else
133
@@ -655,10 +658,15 @@
124
@@ -656,10 +657,15 @@
134
       *pache*) getHttpDirective $configfile AccessConfig $port
125
       *pache*) getHttpDirective $configfile AccessConfig $port
135
                if [ "$param" != "" ]
126
                if [ "$param" != "" ]
136
                then
127
                then
Lines 149-159 Link Here
149
                fi
140
                fi
150
 
141
 
151
                if [ ! -f "$accessconffile" ]
142
                if [ ! -f "$accessconffile" ]
152
@@ -1105,18 +1113,29 @@
143
@@ -1106,18 +1112,29 @@
153
 
144
 
154
  webname="/"
145
  webname="/"
155
 
146
 
156
+ defconfigfile="PREFIX/etc/apache/httpd.conf"
147
+ defconfigfile="PREFIX/etc/apache/${AP_TARGET}.conf"
157
+
148
+
158
  configfile=""
149
  configfile=""
159
  while ( [ "$configfile" = "" ] || [ ! -f $configfile ] )
150
  while ( [ "$configfile" = "" ] || [ ! -f $configfile ] )
Lines 182-188 Link Here
182
  done
173
  done
183
 
174
 
184
  getparam Port $configfile
175
  getparam Port $configfile
185
@@ -1131,6 +1150,39 @@
176
@@ -1132,6 +1149,39 @@
186
  getparam User $configfile
177
  getparam User $configfile
187
  defwebowner=$param
178
  defwebowner=$param
188
 
179
 
Lines 222-228 Link Here
222
  weconfigfile="${installdir}/we${port}.cnf"
213
  weconfigfile="${installdir}/we${port}.cnf"
223
 
214
 
224
  webowner=""
215
  webowner=""
225
@@ -1146,6 +1198,12 @@
216
@@ -1147,6 +1197,12 @@
226
 
217
 
227
  getparam Group $configfile
218
  getparam Group $configfile
228
  defgroup=$param
219
  defgroup=$param
Lines 235-241 Link Here
235
  webgroup=""
226
  webgroup=""
236
  until [ "$webgroup" != "" ]
227
  until [ "$webgroup" != "" ]
237
  do
228
  do
238
@@ -1157,6 +1215,8 @@
229
@@ -1158,6 +1214,8 @@
239
         webgroup=$defgroup
230
         webgroup=$defgroup
240
      fi
231
      fi
241
  done
232
  done
Lines 244-250 Link Here
244
  
235
  
245
  until [ "$servertype" != "" ]
236
  until [ "$servertype" != "" ]
246
  do
237
  do
247
@@ -1167,9 +1227,13 @@
238
@@ -1168,9 +1226,13 @@
248
      echo "    4.  netscape-fasttrack" 
239
      echo "    4.  netscape-fasttrack" 
249
      echo "    5.  netscape-enterprise"
240
      echo "    5.  netscape-enterprise"
250
      echo "    6.  stronghold"
241
      echo "    6.  stronghold"
Lines 259-265 Link Here
259
 
250
 
260
      case $servertypenum in
251
      case $servertypenum in
261
           "1") servertype="ncsa" ;;
252
           "1") servertype="ncsa" ;;
262
@@ -1545,6 +1609,8 @@
253
@@ -1546,6 +1608,8 @@
263
         read admin
254
         read admin
264
     done
255
     done
265
 
256
 
Lines 268-274 Link Here
268
     until [ "$servertype" != "" ]
259
     until [ "$servertype" != "" ]
269
     do
260
     do
270
      echo 
261
      echo 
271
@@ -1554,9 +1620,13 @@
262
@@ -1555,9 +1619,13 @@
272
      echo "    4.  netscape-fasttrack" 
263
      echo "    4.  netscape-fasttrack" 
273
      echo "    5.  netscape-enterprise" 
264
      echo "    5.  netscape-enterprise" 
274
      echo "    6.  stronghold"
265
      echo "    6.  stronghold"
Lines 283-289 Link Here
283
 
274
 
284
      case $servertypenum in
275
      case $servertypenum in
285
           "1") servertype="ncsa" ;;
276
           "1") servertype="ncsa" ;;
286
@@ -2023,7 +2093,6 @@
277
@@ -2024,7 +2092,6 @@
287
  then
278
  then
288
     getHttpRootDirective $configfile $directive
279
     getHttpRootDirective $configfile $directive
289
  fi 
280
  fi 
Lines 291-297 Link Here
291
 }
282
 }
292
 
283
 
293
 getnetscapedocroot()
284
 getnetscapedocroot()
294
@@ -2216,7 +2285,7 @@
285
@@ -2217,7 +2284,7 @@
295
 
286
 
296
 initialize
287
 initialize
297
 step1
288
 step1
(-)apache13-fp/pkg/PLIST (-3 / +5 lines)
Lines 103-116 Link Here
103
share/doc/apache/index.html.es-dist
103
share/doc/apache/index.html.es-dist
104
share/doc/apache/index.html.fr-dist
104
share/doc/apache/index.html.fr-dist
105
share/doc/apache/index.html.it-dist
105
share/doc/apache/index.html.it-dist
106
share/doc/apache/index.html.ja.jis-dist
106
share/doc/apache/index.html.lu-dist
107
share/doc/apache/index.html.lu-dist
107
share/doc/apache/index.html.nl-dist
108
share/doc/apache/index.html.nl-dist
109
share/doc/apache/index.html.po.iso-pl-dist
108
share/doc/apache/index.html.pt-dist
110
share/doc/apache/index.html.pt-dist
109
share/doc/apache/index.html.pt-br-dist
111
share/doc/apache/index.html.pt-br-dist
110
share/doc/apache/index.html.se-dist
112
share/doc/apache/index.html.se-dist
111
@unexec rm -rf %B/index.html.??
113
@unexec rm -rf %B/index.html.??
112
@unexec rm -rf %B/index.html.po.iso-pl-dist
114
@unexec rm -rf %B/index.html.po.iso-pl
113
@unexec rm -rf %B/index.html.ja.jis-dist
115
@unexec rm -rf %B/index.html.ja.jis
114
@unexec rm -rf %B/index.html.pt-br
116
@unexec rm -rf %B/index.html.pt-br
115
share/doc/apache/manual/LICENSE
117
share/doc/apache/manual/LICENSE
116
share/doc/apache/manual/bind.html
118
share/doc/apache/manual/bind.html
Lines 414-420 Link Here
414
frontpage/%%FP_REV%%/admin/topright.gif
416
frontpage/%%FP_REV%%/admin/topright.gif
415
frontpage/%%FP_REV%%/admin/uninstal.htm
417
frontpage/%%FP_REV%%/admin/uninstal.htm
416
frontpage/%%FP_REV%%/apache-fp/_vti_bin/fpexe
418
frontpage/%%FP_REV%%/apache-fp/_vti_bin/fpexe
417
frontpage/%%FP_REV%%/apache-fp/fp-patch-apache_1.3.3
419
frontpage/%%FP_REV%%/apache-fp/fp-patch-apache_1.3.12
418
frontpage/%%FP_REV%%/apache-fp/fpexe.c
420
frontpage/%%FP_REV%%/apache-fp/fpexe.c
419
@unexec if [ -f %B/suidkey ] ; then rm -f %B/suidkey* ; fi
421
@unexec if [ -f %B/suidkey ] ; then rm -f %B/suidkey* ; fi
420
frontpage/%%FP_REV%%/bin/_vti_inf.htm
422
frontpage/%%FP_REV%%/bin/_vti_inf.htm

Return to bug 18581